import objectdraw.*;
import java.awt.*;
import java.applet.*;

/* $Id$ */

/**
 * Sample solution for SaintShellGame
 * written by Stephen Freund, Williams College
 * Updated to use dogs instead of cows for Siena
 * 
 * @author Jim Teresco, Siena College, Spring 2011
 *
 * This WindowController display 3 dogs, only one of which barks when
 * clicked.  If the user clicks outside of the dogs, they are
 * shuffled.  Points are earned for finding the barking dog and
 * clicking on it.
 *
 * dog.jpg from sienasaints.com
 * dogbark4.wav from http://www.doghause.com/sounds/dogbark4.wav
 */
public class SaintShellGame extends WindowController {

    // The three dog pictures
    // the noisyDog image will be the barking dog. 
    private VisibleImage quietDog1, quietDog2, noisyDog;

    // the "barking" audio clip
    private AudioClip barkClip;

    /**
     * Creates the graphical images and sets up the game.
     */
    public void begin() {

        // Display the dog images and place them in a row, noisy dog centered
        Image dog = getImage("dog.jpg");
        
        // create the first dog to find its size before putting into place
        quietDog1 = new VisibleImage(dog, 0, 0, canvas);
        double dogHeight = quietDog1.getHeight();
        double dogWidth = quietDog1.getWidth();
        
        double dogSpacing = (canvas.getWidth() - 3 * dogWidth)/4;
        double dogTop = canvas.getHeight()/2 - dogHeight/2;
        
        quietDog1.moveTo(dogSpacing, dogTop);
        
        noisyDog = new VisibleImage(dog, 2*dogSpacing + dogWidth, dogTop, canvas);
        quietDog2 = new VisibleImage(dog, 3*dogSpacing + 2*dogWidth, dogTop, canvas);

        // Load in the barking noise
        barkClip = getAudio("dogbark4.wav");

        // To do: set up scoreboard
    }

    /**
     * If the dogs are being shuffled, nothing happens on a click.
     * Otherwise, we test to see whether the noisyDog or the quietDogs
     * were clicked on and update the scores accordingly.  
     * If no dogs are clicked on, then we shuffle them.
     * 
     * @param pt the Location of the mouse click
     */
    public void onMouseClick(Location pt) {
        // To do: write me!
    }
}

